Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class KernSubtable

    java.lang.Object
      org.apache.batik.svggen.font.table.KernSubtable

Direct Known Subclasses:
  KernSubtableFormat0, KernSubtableFormat2

public abstract class KernSubtable
extends java.lang.Object

Constructor Summary
`protected` | `KernSubtable()` Creates new KernSubtable

Method Summary
`abstract KerningPair` | `getKerningPair(int i)`
`abstract int` | `getKerningPairCount()`
`static KernSubtable` | `read(java.io.RandomAccessFile raf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernSubtable

    protected KernSubtable()

  Creates new KernSubtable

Method Detail

### getKerningPairCount

    public abstract int getKerningPairCount()

### getKerningPair

    public abstract KerningPair getKerningPair(int i)

### read

    public static KernSubtable read(java.io.RandomAccessFile raf)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.